## libowfat 0.30

=== Makefile ===
# do not edit!  edit GNUmakefile instead
# Warning!  There is no real "make install" support.
# The include files are named after the djb, i.e. pretty generic.  They
# will probably conflict with other headers.  That's why I install them
# in /opt/diet, where they are in the default search path for my diet libc
# work but don't conflict with anything there.  YMMV.

prefix=/opt/diet
LIBDIR=${prefix}/lib
INCLUDEDIR=${prefix}/include
MAN3DIR=${prefix}/man/man3

LIBS=byte.a fmt.a scan.a str.a uint.a open.a stralloc.a unix.a socket.a \
buffer.a mmap.a taia.a tai.a dns.a case.a mult.a array.a io.a \
textcode.a cdb.a critbit.a

all: ent $(LIBS) libowfat.a libsocket t

CROSS=
#CROSS=i686-mingw-
CC=$(CROSS)gcc
CFLAGS=-pipe -W -Wall -Wextra -O2 -fomit-frame-pointer
#CFLAGS=-pipe -Os -march=pentiumpro -mcpu=pentiumpro -fomit-frame-pointer -fschedule-insns2 -Wall

ent: ent.c haveuint128.h
	gcc -g -o ent ent.c -I.

# CFLAGS += -fstrict-aliasing -Wstrict-aliasing=2

WERROR=
CFLAGS += -D_REENTRANT $(WERROR)

array_allocate.o: array/array_allocate.c likely.h safemult.h uint16.h \
 uint32.h uint64.h array.h byte.h
array_bytes.o: array/array_bytes.c array.h uint64.h
array_cat.o: array/array_cat.c array.h uint64.h byte.h
array_cat0.o: array/array_cat0.c array.h uint64.h
array_catb.o: array/array_catb.c array.h uint64.h byte.h
array_cate.o: array/array_cate.c array.h uint64.h
array_cats.o: array/array_cats.c array.h uint64.h str.h
array_cats0.o: array/array_cats0.c array.h uint64.h str.h
array_equal.o: array/array_equal.c byte.h array.h uint64.h
array_fail.o: array/array_fail.c array.h uint64.h
array_get.o: array/array_get.c likely.h safemult.h uint16.h uint32.h \
 uint64.h array.h
array_length.o: array/array_length.c array.h uint64.h
array_reset.o: array/array_reset.c array.h uint64.h
array_start.o: array/array_start.c array.h uint64.h
array_trunc.o: array/array_trunc.c array.h uint64.h
array_truncate.o: array/array_truncate.c likely.h safemult.h uint16.h \
 uint32.h uint64.h array.h
iarray_allocate.o: array/iarray_allocate.c likely.h iarray.h uint64.h
iarray_free.o: array/iarray_free.c iarray.h uint64.h
iarray_get.o: array/iarray_get.c iarray.h uint64.h
iarray_init.o: array/iarray_init.c iarray.h uint64.h
iarray_length.o: array/iarray_length.c iarray.h uint64.h
buffer_0.o: buffer/buffer_0.c buffer.h
buffer_0small.o: buffer/buffer_0small.c buffer.h
buffer_1.o: buffer/buffer_1.c buffer.h
buffer_1small.o: buffer/buffer_1small.c buffer.h
buffer_2.o: buffer/buffer_2.c buffer.h
buffer_close.o: buffer/buffer_close.c buffer.h
buffer_feed.o: buffer/buffer_feed.c buffer.h
buffer_flush.o: buffer/buffer_flush.c buffer.h
buffer_free.o: buffer/buffer_free.c buffer.h
buffer_fromarray.o: buffer/buffer_fromarray.c array.h uint64.h buffer.h
buffer_frombuf.o: buffer/buffer_frombuf.c stralloc.h buffer.h
buffer_fromsa.o: buffer/buffer_fromsa.c stralloc.h buffer.h
buffer_get.o: buffer/buffer_get.c byte.h buffer.h
buffer_get_new_token_sa.o: buffer/buffer_get_new_token_sa.c stralloc.h \
 buffer.h
buffer_get_new_token_sa_pred.o: buffer/buffer_get_new_token_sa_pred.c \
 stralloc.h buffer.h
buffer_get_token.o: buffer/buffer_get_token.c byte.h buffer.h scan.h
buffer_get_token_pred.o: buffer/buffer_get_token_pred.c byte.h buffer.h \
 scan.h
buffer_get_token_sa.o: buffer/buffer_get_token_sa.c byte.h stralloc.h \
 buffer.h
buffer_get_token_sa_pred.o: buffer/buffer_get_token_sa_pred.c byte.h \
 stralloc.h buffer.h
buffer_getc.o: buffer/buffer_getc.c byte.h buffer.h
buffer_getline.o: buffer/buffer_getline.c buffer.h
buffer_getline_sa.o: buffer/buffer_getline_sa.c stralloc.h buffer.h
buffer_getn.o: buffer/buffer_getn.c byte.h buffer.h
buffer_getnewline_sa.o: buffer/buffer_getnewline_sa.c stralloc.h buffer.h
buffer_init.o: buffer/buffer_init.c buffer.h
buffer_init_free.o: buffer/buffer_init_free.c buffer.h
buffer_mmapread.o: buffer/buffer_mmapread.c buffer.h mmap.h
buffer_munmap.o: buffer/buffer_munmap.c buffer.h
buffer_peek.o: buffer/buffer_peek.c buffer.h
buffer_put.o: buffer/buffer_put.c byte.h buffer.h
buffer_put8long.o: buffer/buffer_put8long.c buffer.h fmt.h byte.h
buffer_putalign.o: buffer/buffer_putalign.c byte.h buffer.h
buffer_puterror.o: buffer/buffer_puterror.c buffer.h
buffer_puterror2.o: buffer/buffer_puterror2.c buffer.h
buffer_putflush.o: buffer/buffer_putflush.c buffer.h
buffer_putlong.o: buffer/buffer_putlong.c buffer.h fmt.h byte.h
buffer_putlonglong.o: buffer/buffer_putlonglong.c buffer.h fmt.h byte.h
buffer_putm_internal.o: buffer/buffer_putm_internal.c buffer.h
buffer_putm_internal_flush.o: buffer/buffer_putm_internal_flush.c \
 buffer.h
buffer_putnlflush.o: buffer/buffer_putnlflush.c str.h buffer.h
buffer_puts.o: buffer/buffer_puts.c str.h buffer.h
buffer_putsa.o: buffer/buffer_putsa.c stralloc.h buffer.h
buffer_putsaflush.o: buffer/buffer_putsaflush.c stralloc.h buffer.h
buffer_putsalign.o: buffer/buffer_putsalign.c str.h buffer.h
buffer_putsflush.o: buffer/buffer_putsflush.c str.h buffer.h
buffer_putspace.o: buffer/buffer_putspace.c str.h buffer.h
buffer_putulong.o: buffer/buffer_putulong.c buffer.h fmt.h byte.h
buffer_putulonglong.o: buffer/buffer_putulonglong.c buffer.h fmt.h byte.h
buffer_putxlong.o: buffer/buffer_putxlong.c buffer.h fmt.h byte.h
buffer_seek.o: buffer/buffer_seek.c buffer.h
buffer_stubborn.o: buffer/buffer_stubborn.c buffer.h
buffer_stubborn2.o: buffer/buffer_stubborn2.c buffer.h
buffer_tosa.o: buffer/buffer_tosa.c stralloc.h buffer.h
errmsg_iam.o: buffer/errmsg_iam.c errmsg.h
errmsg_info.o: buffer/errmsg_info.c errmsg.h errmsg_int.h str.h
errmsg_infosys.o: buffer/errmsg_infosys.c errmsg.h errmsg_int.h str.h
errmsg_puts.o: buffer/errmsg_puts.c errmsg.h errmsg_int.h str.h
errmsg_warn.o: buffer/errmsg_warn.c errmsg.h errmsg_int.h str.h
errmsg_warnsys.o: buffer/errmsg_warnsys.c errmsg.h errmsg_int.h str.h
errmsg_write.o: buffer/errmsg_write.c errmsg.h errmsg_int.h
byte_chr.o: byte/byte_chr.c byte.h
byte_copy.o: byte/byte_copy.c byte.h
byte_copyr.o: byte/byte_copyr.c byte.h
byte_diff.o: byte/byte_diff.c byte.h
byte_equal_notimingattack.o: byte/byte_equal_notimingattack.c byte.h
byte_rchr.o: byte/byte_rchr.c byte.h
byte_zero.o: byte/byte_zero.c byte.h
case_diffb.o: case/case_diffb.c case.h
case_diffs.o: case/case_diffs.c case.h
case_lowerb.o: case/case_lowerb.c case.h
case_lowers.o: case/case_lowers.c case.h
case_starts.o: case/case_starts.c case.h
cdb.o: cdb/cdb.c byte.h cdb.h uint32.h uint64.h
cdb_hash.o: cdb/cdb_hash.c cdb.h uint32.h uint64.h
cdb_make.o: cdb/cdb_make.c cdb.h uint32.h uint64.h cdb_make.h buffer.h
cdb_traverse.o: cdb/cdb_traverse.c cdb.h uint32.h uint64.h
critbit.o: critbit/critbit.c critbit.h
dns_dfd.o: dns/dns_dfd.c byte.h dns.h stralloc.h iopause.h taia.h tai.h \
 uint64.h uint32.h
dns_domain.o: dns/dns_domain.c case.h byte.h dns.h stralloc.h iopause.h \
 taia.h tai.h uint64.h uint32.h
dns_dtda.o: dns/dns_dtda.c stralloc.h dns.h stralloc.h iopause.h taia.h \
 tai.h uint64.h uint32.h
dns_ip.o: dns/dns_ip.c stralloc.h uint16.h byte.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h
dns_ip6.o: dns/dns_ip6.c stralloc.h uint16.h byte.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h ip4.h ip6.h byte.h
dns_ipq.o: dns/dns_ipq.c stralloc.h case.h byte.h str.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h
dns_ipq6.o: dns/dns_ipq6.c stralloc.h case.h byte.h str.h dns.h \
 stralloc.h iopause.h taia.h tai.h uint64.h uint32.h
dns_mx.o: dns/dns_mx.c stralloc.h byte.h uint16.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h
dns_name.o: dns/dns_name.c stralloc.h uint16.h byte.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h ip6.h byte.h
dns_nd.o: dns/dns_nd.c byte.h fmt.h byte.h dns.h stralloc.h iopause.h \
 taia.h tai.h uint64.h uint32.h
dns_nd6.o: dns/dns_nd6.c byte.h fmt.h byte.h dns.h stralloc.h iopause.h \
 taia.h tai.h uint64.h uint32.h haveinline.h
dns_packet.o: dns/dns_packet.c dns.h stralloc.h iopause.h taia.h tai.h \
 uint64.h uint32.h
dns_random.o: dns/dns_random.c dns.h stralloc.h iopause.h taia.h tai.h \
 uint64.h uint32.h taia.h uint32.h
dns_rcip.o: dns/dns_rcip.c taia.h tai.h uint64.h uint32.h openreadclose.h \
 stralloc.h byte.h ip4.h ip6.h byte.h dns.h iopause.h taia.h
dns_rcrw.o: dns/dns_rcrw.c taia.h tai.h uint64.h uint32.h byte.h str.h \
 openreadclose.h stralloc.h dns.h iopause.h taia.h
dns_resolve.o: dns/dns_resolve.c iopause.h taia.h tai.h uint64.h uint32.h \
 taia.h byte.h dns.h stralloc.h iopause.h ip6.h byte.h
dns_sortip.o: dns/dns_sortip.c byte.h dns.h stralloc.h iopause.h taia.h \
 tai.h uint64.h uint32.h
dns_sortip6.o: dns/dns_sortip6.c byte.h dns.h stralloc.h iopause.h taia.h \
 tai.h uint64.h uint32.h
dns_transmit.o: dns/dns_transmit.c socket.h uint16.h uint32.h byte.h \
 uint16.h dns.h stralloc.h iopause.h taia.h tai.h uint64.h ip6.h byte.h
dns_txt.o: dns/dns_txt.c stralloc.h uint16.h byte.h dns.h stralloc.h \
 iopause.h taia.h tai.h uint64.h uint32.h
buffer_getline.o: examples/buffer_getline.c stralloc.h buffer.h io.h \
 uint64.h taia.h tai.h uint32.h errmsg.h
byte.o: examples/byte.c byte.h buffer.h
str.o: examples/str.c str.h buffer.h
fmt_8long.o: fmt/fmt_8long.c fmt.h byte.h
fmt_8longlong.o: fmt/fmt_8longlong.c fmt.h byte.h
fmt_asn1derlength.o: fmt/fmt_asn1derlength.c fmt.h byte.h
fmt_asn1dertag.o: fmt/fmt_asn1dertag.c fmt.h byte.h
fmt_double.o: fmt/fmt_double.c fmt.h byte.h
fmt_escapecharc.o: fmt/fmt_escapecharc.c fmt.h byte.h
fmt_escapecharhtml.o: fmt/fmt_escapecharhtml.c
fmt_escapecharjson.o: fmt/fmt_escapecharjson.c fmt.h byte.h
fmt_escapecharquotedprintable.o: fmt/fmt_escapecharquotedprintable.c \
 fmt.h byte.h
fmt_escapecharquotedprintableutf8.o: \
 fmt/fmt_escapecharquotedprintableutf8.c fmt.h byte.h
fmt_escapecharxml.o: fmt/fmt_escapecharxml.c fmt.h byte.h
fmt_fill.o: fmt/fmt_fill.c fmt.h byte.h
fmt_httpdate.o: fmt/fmt_httpdate.c fmt.h byte.h byte.h
fmt_human.o: fmt/fmt_human.c fmt.h byte.h
fmt_humank.o: fmt/fmt_humank.c fmt.h byte.h
fmt_long.o: fmt/fmt_long.c fmt.h byte.h
fmt_longlong.o: fmt/fmt_longlong.c fmt.h byte.h
fmt_minus.o: fmt/fmt_minus.c fmt.h byte.h
fmt_pad.o: fmt/fmt_pad.c fmt.h byte.h
fmt_plusminus.o: fmt/fmt_plusminus.c fmt.h byte.h
fmt_str.o: fmt/fmt_str.c fmt.h byte.h
fmt_strm_internal.o: fmt/fmt_strm_internal.c fmt.h byte.h
fmt_strn.o: fmt/fmt_strn.c fmt.h byte.h
fmt_tohex.o: fmt/fmt_tohex.c fmt.h byte.h
fmt_ulong.o: fmt/fmt_ulong.c fmt.h byte.h
fmt_ulong0.o: fmt/fmt_ulong0.c fmt.h byte.h
fmt_ulonglong.o: fmt/fmt_ulonglong.c fmt.h byte.h
fmt_utf8.o: fmt/fmt_utf8.c fmt.h byte.h
fmt_xlong.o: fmt/fmt_xlong.c fmt.h byte.h haveinline.h
fmt_xlonglong.o: fmt/fmt_xlonglong.c fmt.h byte.h
fmt_xmlescape.o: fmt/fmt_xmlescape.c fmt.h byte.h
io_appendfile.o: io/io_appendfile.c io_internal.h io.h uint64.h taia.h \
 tai.h uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_block.o: io/io_block.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_canread.o: io/io_canread.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_canwrite.o: io/io_canwrite.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_check.o: io/io_check.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_close.o: io/io_close.c io_internal.h io.h uint64.h taia.h tai.h \
 uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_closeonexec.o: io/io_closeonexec.c io_internal.h io.h uint64.h taia.h \
 tai.h uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_createfile.o: io/io_createfile.c io_internal.h io.h uint64.h taia.h \
 tai.h uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
 havesigio.h
io_debugstring.o: io/io_debugstring.c io_internal.h io.h uint64.h taia.h \

=== debian/changelog ===
libowfat (0.30-3) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC-10. (Closes: #957462)
  * Orphan the package. (See: #813097)
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update compat level to 13.
  * Mark Vcs to salsa.
  * Add symbols file.
  * Remove whitespace from control and changelog.
  * Remove duplicate section.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 30 Apr 2020 21:42:48 +0100

libowfat (0.30-2) unstable; urgency=medium

  * Fix /usr/include/entities.h file conflict with libgd-dev
    (Closes: #812418)

 -- Roland Stigge <stigge@antcom.de>  Mon, 25 Jan 2016 10:35:16 +0100

libowfat (0.30-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Sun, 17 Jan 2016 14:30:47 +0100

=== debian/control ===
Source: libowfat
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: dietlibc-dev, dietlibc-dev (>= 0.32-5) [sparc], debhelper-compat (= 13)
Homepage: http://www.fefe.de/libowfat/
Vcs-Git: https://salsa.debian.org/debian/libowfat.git
Vcs-Browser: https://salsa.debian.org/debian/libowfat

Package: libowfat0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Reimplementation of libdjb, shared library
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains the shared library linked against glibc.  The library is
 also available for use with the diet libc (see libowfat-dietlibc-dev).

Package: libowfat-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libowfat0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdjbdns1-dev, libudt-dev, libcdb-dev
Description: Reimplementation of libdjb, development files
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains libowfat linked with glibc, and man pages.

Package: libowfat-dietlibc-dev
Section: libdevel
Architecture: any
Depends: dietlibc-dev, ${misc:Depends}
Conflicts: libdjbdns1-dev
Breaks: libowfat-dev (<< 0.28-3)
Replaces: libowfat-dev (<< 0.28-3)
Description: Reimplementation of libdjb, dietlibc version
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains libowfat linked with dietlibc.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	mkdir build-glibc
	$(MAKE) -f $(CURDIR)/GNUmakefile -C build-glibc SRC=$(CURDIR)/ DIET='' SHARED=1 libowfat.so
	$(MAKE) -f $(CURDIR)/GNUmakefile -C build-glibc SRC=$(CURDIR)/ clean
	$(MAKE) -f $(CURDIR)/GNUmakefile -C build-glibc SRC=$(CURDIR)/ DIET=''
	rm build-glibc/entities.h

	mkdir build-diet
	$(MAKE) -f $(CURDIR)/GNUmakefile -C build-diet SRC=$(CURDIR)/ DIET='diet -v -Os'
	rm build-diet/entities.h
	
	touch build-stamp

override_dh_clean:
	dh_clean # doesn't remove directories
	-rm -rf build-glibc build-diet

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

# empty targets:
override_dh_auto_install:

=== debian/watch ===
version=3
http://www.fefe.de/libowfat/ http://dl.fefe.de/libowfat-(.*)\.tar\.bz2

## libowfat 0.32

=== Makefile ===
--- 
+++ 
@@ -14,21 +14,38 @@
 buffer.a mmap.a taia.a tai.a dns.a case.a mult.a array.a io.a \
 textcode.a cdb.a critbit.a
 
-all: ent $(LIBS) libowfat.a libsocket t
+all: headers ent $(LIBS) libowfat.a libsocket t
+
+pic pie:
+	$(MAKE) CC="gcc -fPIC" LDFLAGS="-fpie"
 
 CROSS=
 #CROSS=i686-mingw-
-CC=$(CROSS)gcc
-CFLAGS=-pipe -W -Wall -Wextra -O2 -fomit-frame-pointer
+CC?=gcc
+CCC=$(CROSS)$(CC)
+WERROR=
+WARN=-W -Wall -Wextra $(WERROR)
+
+# Use the second version if you are building for a binary that is only
+# supposed to run on this machine. It tells gcc to use CPU instructions
+# that are specific to the CPU the code is compiled on.
+NATIVE=
+#NATIVE=-march=native -mtune=native
+
+OPT_REG=-O2
+OPT_PLUS=-O3 $(NATIVE)
+
+DEFINE=-D_REENTRANT
+
+CFLAGS=-pipe $(WARN) $(DEFINE) $(OPT_REG)
+CFLAGS_OPT=-pipe $(WARN) $(DEFINE) $(OPT_PLUS)
+
 #CFLAGS=-pipe -Os -march=pentiumpro -mcpu=pentiumpro -fomit-frame-pointer -fschedule-insns2 -Wall
 
 ent: ent.c haveuint128.h
-	gcc -g -o ent ent.c -I.
+	$(CC) -g -o ent ent.c -I.
 
 # CFLAGS += -fstrict-aliasing -Wstrict-aliasing=2
-
-WERROR=
-CFLAGS += -D_REENTRANT $(WERROR)
 
 array_allocate.o: array/array_allocate.c likely.h safemult.h uint16.h \
  uint32.h uint64.h array.h byte.h
@@ -88,7 +105,7 @@
 buffer_mmapread.o: buffer/buffer_mmapread.c buffer.h mmap.h
 buffer_munmap.o: buffer/buffer_munmap.c buffer.h
 buffer_peek.o: buffer/buffer_peek.c buffer.h
-buffer_put.o: buffer/buffer_put.c byte.h buffer.h
+buffer_put.o: buffer/buffer_put.c buffer.h
 buffer_put8long.o: buffer/buffer_put8long.c buffer.h fmt.h byte.h
 buffer_putalign.o: buffer/buffer_putalign.c byte.h buffer.h
 buffer_puterror.o: buffer/buffer_puterror.c buffer.h
@@ -132,7 +149,7 @@
 case_lowerb.o: case/case_lowerb.c case.h
 case_lowers.o: case/case_lowers.c case.h
 case_starts.o: case/case_starts.c case.h
-cdb.o: cdb/cdb.c byte.h cdb.h uint32.h uint64.h
+cdb.o: cdb/cdb.c byte.h cdb.h uint32.h uint64.h havepread.h
 cdb_hash.o: cdb/cdb_hash.c cdb.h uint32.h uint64.h
 cdb_make.o: cdb/cdb_make.c cdb.h uint32.h uint64.h cdb_make.h buffer.h
 cdb_traverse.o: cdb/cdb_traverse.c cdb.h uint32.h uint64.h
@@ -198,10 +215,27 @@
 fmt_httpdate.o: fmt/fmt_httpdate.c fmt.h byte.h byte.h
 fmt_human.o: fmt/fmt_human.c fmt.h byte.h
 fmt_humank.o: fmt/fmt_humank.c fmt.h byte.h
+fmt_iso8601.o: fmt/fmt_iso8601.c fmt.h byte.h byte.h
 fmt_long.o: fmt/fmt_long.c fmt.h byte.h
 fmt_longlong.o: fmt/fmt_longlong.c fmt.h byte.h
 fmt_minus.o: fmt/fmt_minus.c fmt.h byte.h
+fmt_netstring.o: fmt/fmt_netstring.c fmt.h byte.h rangecheck.h
 fmt_pad.o: fmt/fmt_pad.c fmt.h byte.h
+fmt_pb_double.o: fmt/fmt_pb_double.c fmt.h byte.h
+fmt_pb_float.o: fmt/fmt_pb_float.c fmt.h byte.h
+fmt_pb_int.o: fmt/fmt_pb_int.c fmt.h byte.h
+fmt_pb_sint.o: fmt/fmt_pb_sint.c fmt.h byte.h
+fmt_pb_string.o: fmt/fmt_pb_string.c fmt.h byte.h rangecheck.h
+fmt_pb_tag.o: fmt/fmt_pb_tag.c fmt.h byte.h
+fmt_pb_type0_sint.o: fmt/fmt_pb_type0_sint.c fmt.h byte.h
+fmt_pb_type1_double.o: fmt/fmt_pb_type1_double.c fmt.h byte.h \
+ compiletimeassert.h
+fmt_pb_type1_fixed64.o: fmt/fmt_pb_type1_fixed64.c fmt.h byte.h uint64.h
+fmt_pb_type2_string.o: fmt/fmt_pb_type2_string.c fmt.h byte.h \
+ rangecheck.h
+fmt_pb_type5_fixed32.o: fmt/fmt_pb_type5_fixed32.c fmt.h byte.h uint32.h
+fmt_pb_type5_float.o: fmt/fmt_pb_type5_float.c fmt.h byte.h \
+ compiletimeassert.h
 fmt_plusminus.o: fmt/fmt_plusminus.c fmt.h byte.h
 fmt_str.o: fmt/fmt_str.c fmt.h byte.h
 fmt_strm_internal.o: fmt/fmt_strm_internal.c fmt.h byte.h
@@ -211,31 +245,7 @@
 fmt_ulong0.o: fmt/fmt_ulong0.c fmt.h byte.h
 fmt_ulonglong.o: fmt/fmt_ulonglong.c fmt.h byte.h
 fmt_utf8.o: fmt/fmt_utf8.c fmt.h byte.h
+fmt_varint.o: fmt/fmt_varint.c fmt.h byte.h
 fmt_xlong.o: fmt/fmt_xlong.c fmt.h byte.h haveinline.h
 fmt_xlonglong.o: fmt/fmt_xlonglong.c fmt.h byte.h
 fmt_xmlescape.o: fmt/fmt_xmlescape.c fmt.h byte.h
-io_appendfile.o: io/io_appendfile.c io_internal.h io.h uint64.h taia.h \
- tai.h uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_block.o: io/io_block.c io_internal.h io.h uint64.h taia.h tai.h \
- uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_canread.o: io/io_canread.c io_internal.h io.h uint64.h taia.h tai.h \
- uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_canwrite.o: io/io_canwrite.c io_internal.h io.h uint64.h taia.h tai.h \
- uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_check.o: io/io_check.c io_internal.h io.h uint64.h taia.h tai.h \
- uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_close.o: io/io_close.c io_internal.h io.h uint64.h taia.h tai.h \
- uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_closeonexec.o: io/io_closeonexec.c io_internal.h io.h uint64.h taia.h \
- tai.h uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_createfile.o: io/io_createfile.c io_internal.h io.h uint64.h taia.h \
- tai.h uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_debugstring.o: io/io_debugstring.c io_internal.h io.h uint64.h taia.h \

=== debian/changelog ===
libowfat (0.32-5) unstable; urgency=medium

  * QA upload
  * Remove mkfifo and opendir from description (Closes: #932446)
  * Adopt dpkg-build-api
  * Clean additional files (Closes: #1045772)
  * Move headers to their own namespace (Closes: #1045772)

  [ Helmut Grohne ]
  * cross.patch: Use CCC for linking
  * Pass CCC to make (Closes: #1034006)

 -- Bastian Germann <bage@debian.org>  Fri, 05 Apr 2024 15:36:02 +0200

libowfat (0.32-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062562

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:10:53 +0000

libowfat (0.32-4) unstable; urgency=high

  * QA upload
  * Prevent identifiers from conflicting with glibc (Closes: #1017157)
  * Drop unused package libowfat-dietlibc-dev (simplifies build)

 -- Bastian Germann <bage@debian.org>  Thu, 10 Nov 2022 16:32:49 +0100

libowfat (0.32-3) unstable; urgency=medium

  * Make sure that libowfat/ is created before ln'ing headers: 2nd try

 -- Bastian Germann <bage@debian.org>  Thu, 14 Jul 2022 22:48:25 +0200

libowfat (0.32-2) unstable; urgency=medium

  * QA upload.
  * Make sure that libowfat/ is created before ln'ing headers

 -- Bastian Germann <bage@debian.org>  Fri, 01 Jul 2022 23:36:12 +0200

libowfat (0.32-1) unstable; urgency=medium

  * QA upload
  * d/watch: Scan for .xz
  * New upstream version 0.32 (Closes: #962502)
  * d/copyright: Convert to machine-readable format
  * Compile with dietlibc only on supported archs (Closes: #977577)
  * Rebase patches on new version
  * Add new multi def patch

 -- Bastian Germann <bage@debian.org>  Wed, 29 Jun 2022 18:00:35 +0200

libowfat (0.30-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dietlibc-dev.
    + libowfat-dietlibc-dev: Drop versioned constraint on libowfat-dev in
      Replaces.
    + libowfat-dietlibc-dev: Drop versioned constraint on libowfat-dev in
      Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 14:55:48 +0100

=== debian/control ===
Source: libowfat
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.1
Build-Depends: dpkg-build-api (= 1), dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
Homepage: https://www.fefe.de/libowfat/
Vcs-Git: https://salsa.debian.org/debian/libowfat.git
Vcs-Browser: https://salsa.debian.org/debian/libowfat

Package: libowfat0t64
Provides: ${t64:Provides}
Replaces: libowfat0
Breaks: libowfat0 (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Reimplementation of libdjb, shared library
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.

Package: libowfat-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libowfat0t64 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdjbdns1-dev, libudt-dev, libcdb-dev
Description: Reimplementation of libdjb, development files
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains the libowfat development files and man pages.

=== debian/watch ===
version=4
http://www.fefe.de/libowfat/ libowfat-@ANY_VERSION@\.tar\.xz

## libowfat 0.34

=== debian/changelog ===
libowfat (0.34-2) unstable; urgency=medium

  * Simplify Makefile patch to build shared library
  * Pass LDFLAGS to linker
  * Use hardening=+all
  * Disable failing unittests during build

 -- Agathe Porte <gagath@debian.org>  Sat, 04 Oct 2025 15:35:59 +0200

libowfat (0.34-1) unstable; urgency=medium

  * Adopt package (Closes: #813097)
  * New upstream version 0.34 (Closes: #1097241)
  * Update d/watch format to version 5
  * Add Build-Depends-Package in libowfat0t64.symbols
  * Drop unused package-name-doesnt-match-sonames lintian override
  * Update Standards-Version to 4.7.2 (no changes needed)
  * Install examples in libowfat-dev

 -- Agathe Porte <gagath@debian.org>  Fri, 03 Oct 2025 17:53:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libowfat
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.5.1
+Maintainer: Agathe Porte <gagath@debian.org>
+Standards-Version: 4.7.2
 Build-Depends: dpkg-build-api (= 1), dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 Homepage: https://www.fefe.de/libowfat/
 Vcs-Git: https://salsa.debian.org/debian/libowfat.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -I.

# Upstream GNUmakefile completely ignores the existence of CPPFLAGS. Directly
# pass them into CFLAGS instead.
CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -f $(CURDIR)/GNUmakefile CCC=$(CC) CFLAGS="$(CFLAGS) -fPIC" CFLAGS_OPT="$(CFLAGS)" DIET='' libowfat.so
	$(MAKE) -f $(CURDIR)/GNUmakefile clean
	$(MAKE) -f $(CURDIR)/GNUmakefile CCC=$(CC) CFLAGS_OPT="$(CFLAGS)" DIET=''
	rm entities.h

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_auto_install:

# Buggy upstream tests on anything different than amd64
override_dh_auto_test:

=== debian/watch ===
Version: 5
Source: http://www.fefe.de/libowfat/
Matching-Pattern: libowfat-@ANY_VERSION@@ARCHIVE_EXT@
